edit.data.frame {base} | R Documentation

## Edit Data Frames and Matrices

### Description

Use data editor on data frame or matrix contents.

### Usage

    edit.data.frame(name, factor.mode=c("numeric", "character"),
                    edit.row.names = any(row.names(name) != 1:nrow(name)),
                    ...)
    edit.matrix(name, edit.row.names = any(rownames(name)))

### Arguments

`name` | A data frame or matrix.
`factor.mode` | How to handle factors (as integers or using character levels).
`edit.row.names` | logical. Show the row names be displayed as a separate editable column?

### Details

At present, this only works on simple data frames containing numeric or character vectors and factors. Factors are represented in the spreadsheet as either numeric vectors (which is more suitable for data entry) or character vectors (better for browsing). After editing, vectors are padded with `NA` to have the same length and factor attributes are restored. The set of factor levels can not be changed by editing in numeric mode; invalid levels are changed to `NA` and a warning is issued. If new factor levels are introduced in character mode, they are added at the end of the list of levels in the order in which they encountered.

### Value

The edited data frame.

### Note

`fix(dataframe)` works for in-place editing by calling this function.

If the data editor is not available, a dump of the object is presented for editing using the default method of `edit`.

### Author(s)

Peter Dalgaard

### See Also

`data.entry`, `edit`

### Examples

    data(InsectSprays)
    edit(InsectSprays)
    edit(InsectSprays, factor.mode="numeric")

[Package Contents]